net.sourceforge.pmd.lang

## Interface DataFlowHandler

- All Known Implementing Classes:
    JavaDataFlowHandler

      public interface DataFlowHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DataFlowHandler` | `DUMMY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataFlowNode` | `createDataFlowNode(List<DataFlowNode> dataFlow, Node node)`
    `Class<? extends Node>` | `getLabelStatementNodeClass()`

- - ### Field Detail

    - #### DUMMY

          static final DataFlowHandler DUMMY

  - ### Method Detail

    - #### createDataFlowNode

          DataFlowNode createDataFlowNode(List<DataFlowNode> dataFlow,
                                        Node node)

    - #### getLabelStatementNodeClass

          Class<? extends Node> getLabelStatementNodeClass()

Copyright © 2002-2013 InfoEther. All Rights Reserved.